/*********************************************************************
PURPOSE:        Uudet tyehtosopimukset 1.4.24
HISTORY:        TKK / 11.03.2024
NOTES:          -
*********************************************************************/

-- TKK / 28.02.2024 lisykset
IF NOT Exists(Select codelist_id from codelist_incomeregister_cbacodes where codelist_id=220)
	BEGIN
		INSERT INTO codelist_incomeregister_cbacodes (codelist_id) VALUES (	220	)
		INSERT INTO codelist_incomeregister_cbacodes (codelist_id) VALUES (	221	)
		INSERT INTO codelist_incomeregister_cbacodes (codelist_id) VALUES (	222	)
		INSERT INTO codelist_incomeregister_cbacodes (codelist_id) VALUES (	223	)
	END

GO

SET NOCOUNT ON

--Poistetaan jos temp taulu jostain syyst on olemassa
if Object_id('tempdb..#list_terms') is not null
	drop table #list_terms

create table #list_terms (																-- listojen termit
		[term_id] INT IDENTITY(1,1) NOT NULL PRIMARY KEY,								-- rivin yksilinti
		[term_table] NVARCHAR(255) collate Finnish_Swedish_CI_AS not null,				-- lhdetaulu
		[term_table_language] NVARCHAR(5) collate Finnish_Swedish_CI_AS not null,		-- termin kieli fi-FI, sv-SE, en-GB
		[term_table_key] NVARCHAR(200) collate Finnish_Swedish_CI_AS not null,			-- avainkentt lhde taulussa
		[term_translation] NVARCHAR(max) collate Finnish_Swedish_CI_AS not null			-- termin knns kielell
	) 



INSERT INTO #list_terms (term_table, term_table_language, term_table_key, term_translation) values ('codelist_incomeregister_cbacodes','fi-FI',	220	,'Matkailu-, ravintola ja vapaa-ajan palveluita koskeva tyehtosopimus - esihenkilt'	)
INSERT INTO #list_terms (term_table, term_table_language, term_table_key, term_translation) values ('codelist_incomeregister_cbacodes','fi-FI',	221	,'Kaupan logistiikan esihenkiliden tyehtosopimus'	)
INSERT INTO #list_terms (term_table, term_table_language, term_table_key, term_translation) values ('codelist_incomeregister_cbacodes','fi-FI',	222	,'Vhittiskaupan esihenkiliden tyehtosopimus'	)
INSERT INTO #list_terms (term_table, term_table_language, term_table_key, term_translation) values ('codelist_incomeregister_cbacodes','fi-FI',	223	,'Henkilstalan tyehtosopimus'	)

INSERT INTO #list_terms (term_table, term_table_language, term_table_key, term_translation) values ('codelist_incomeregister_cbacodes','en-GB',	220	,'Collective agreement for supervisors in hotel, restaurant and leisure industry'	)
INSERT INTO #list_terms (term_table, term_table_language, term_table_key, term_translation) values ('codelist_incomeregister_cbacodes','en-GB',	221	,'Collective Agreement for Supervisors in Trade Logistics'	)
INSERT INTO #list_terms (term_table, term_table_language, term_table_key, term_translation) values ('codelist_incomeregister_cbacodes','en-GB',	222	,'Collective agreement for retail supervisors'	)
INSERT INTO #list_terms (term_table, term_table_language, term_table_key, term_translation) values ('codelist_incomeregister_cbacodes','en-GB',	223	,'Collective Agreement for Employment Industry'	)

INSERT INTO #list_terms (term_table, term_table_language, term_table_key, term_translation) values ('codelist_incomeregister_cbacodes','sv-SE',	220	,'Kollektivavtal fr chefer i branschen fr turism-, restaurang- och fritidstjnster'	)
INSERT INTO #list_terms (term_table, term_table_language, term_table_key, term_translation) values ('codelist_incomeregister_cbacodes','sv-SE',	221	,'Kollektivavtal fr chefer inom logistik inom handeln'	)
INSERT INTO #list_terms (term_table, term_table_language, term_table_key, term_translation) values ('codelist_incomeregister_cbacodes','sv-SE',	222	,'Kollektivavtal fr chefer inom detaljhandeln'	)
INSERT INTO #list_terms (term_table, term_table_language, term_table_key, term_translation) values ('codelist_incomeregister_cbacodes','sv-SE',	223	,'Kollektivavtal fr personalbranschen'	)


GO

--Otetaan trigger pois insertin ajaksi.
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[tr_list_terms_update]') AND objectproperty(id, N'IsTrigger') =1)
BEGIN
	DISABLE TRIGGER [tr_list_terms_update] ON [dbo].[list_terms];
END


--Tehdn insert yhdell lauseella. Insertiss asetetaan vain rivit joiden avainkombinaatiota ei lydy taulusta valmiiksi
INSERT INTO list_terms (term_table, term_table_language, term_table_key, term_translation)
SELECT lt.term_table, lt.term_table_language, lt.term_table_key, lt.term_translation 
FROM #list_terms lt
left join list_Terms on list_Terms.term_table = lt.term_table 
and list_terms.term_table_language=lt.term_table_language 
and list_terms.term_table_key =  lt.term_table_key 
where list_terms.term_table is null

drop table #list_terms
GO
--Triggeri takaisin plle
--Otetaan trigger pois insertin ajaksi.
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id(N'[tr_list_terms_update]') AND objectproperty(id, N'IsTrigger') =1)
BEGIN
	ENABLE TRIGGER [tr_list_terms_update] ON [dbo].[list_terms];
END
GO